Bug 10815 - [AIX] C compiler cannot create executables
Summary: [AIX] C compiler cannot create executables
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: bootstrap (show other bugs)
Version: 3.3
: P2 critical
Target Milestone: 3.3.1
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-16 05:56 UTC by rolf-alois.walter
Modified: 2003-06-04 17:04 UTC (History)
4 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2003-06-04 17:02:05


Attachments
configMake.tar.gz (117.49 KB, application/x-gzip )
2003-05-21 15:17 UTC, rolf-alois.walter
Details
aix installation doc patch (509 bytes, patch)
2003-06-04 06:34 UTC, Dara Hazeghi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rolf-alois.walter 2003-05-16 05:56:00 UTC
"make bootstrap" ended with errors:

checking whether the C compiler (/software/gcc-3.3-obj/gcc/xgcc -B/software/gcc-3.3-obj/gcc/ -B/usr/local/powerpc-ibm-aix5.1.0.
0/bin/ -B/usr/local/powerpc-ibm-aix5.1.0.0/lib/ -isystem /usr/local/powerpc-ibm-aix5.1.0.0/include  -maix64 -O2 -g -O2 ) works.
.. no
configure: error: installation or configuration problem: C compiler cannot create executables.
gmake[1]: *** [configure-target-libiberty] Error 1
gmake[1]: Leaving directory `/software/gcc-3.3-obj'

Release:
gcc version 3.3

Environment:
AIX 5100-03

How-To-Repeat:
unpack gcc-3.3 in directory /software/gcc-3.3, 
create directory /software/gcc-3.3-obj, go to
this directory and do /software/gcc-3.3/configure
and make bootstrap
Comment 1 Dara Hazeghi 2003-05-16 17:25:44 UTC
From: Dara Hazeghi <dhazeghi@yahoo.com>
To: gcc-gnats@gcc.gnu.org, rolf-alois.walter@db.com, nobody@gcc.gnu.org
Cc:  
Subject: Re: bootstrap/10815: C compiler cannot create executables
Date: Fri, 16 May 2003 17:25:44 -0700

 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit- 
 trail&database=gcc&pr=10815
 
 Hello,
 
 next time you send such a bug report, it would help to know what  
 directory gmake failed in. But anyhow, it looks like the stage1 gcc  
 isn't happy building 64 bit stuff. Can you cd into  
 powerpc-ibm-aix5.1.0.0/ppc64/libiberty/ (in your build directory) and  
 create the following file conftest.c:
 #include "confdefs.h"
 main(){return(0);}
 
 and then run this command:
 
 /software/gcc-3.3-obj/gcc/xgcc -B/software/gcc-3.3-obj/gcc/ -B/u
 sr/local/powerpc-ibm-aix5.1.0.0/bin/  
 -B/usr/local/powerpc-ibm-aix5.1.0.0/lib/ -i
 system /usr/local/powerpc-ibm-aix5.1.0.0/include  -maix64 -v -o  
 conftest -O2 -g -O2
     conftest.c
 
 And post back the output? It looks like the linker is for some reason  
 unhappy (according to config.log), but hopefully this will make it  
 possible to figure out why.
 
 Thanks,
 
 Dara
 

Comment 2 rolf-alois.walter 2003-05-19 07:51:13 UTC
From: "Rolf-Alois Walter" <rolf-alois.walter@db.com>
To: dhazeghi@yahoo.com
Cc: gcc-gnats@gcc.gnu.org, nobody@gcc.gnu.org
Subject: Antwort: Re: bootstrap/10815: C compiler cannot create executables
Date: Mon, 19 May 2003 07:51:13 +0200

 This is a multipart message in MIME format.
 --=_alternative 00206F74C1256D2B_=
 Content-Type: text/plain; charset="us-ascii"
 
 Hello,
 
 As to the question in which directory the gmake aborted, I do not know 
 better
 than to look into the gmake.out in the attached file configMake.tar.gz.
 
 In this file are some error messages concerning the linker, for example on 
 line 1642:
 
 ./xgcc -B./ -B/usr/local/powerpc-ibm-aix5.1.0.0/bin/ -isystem  [...]
 collect2: ld returned 1 exit status
 ar: A file or directory in the path name does not exist.
 ar: 0707-117 The fopen system call failed on file ppc64/shr.o.
 mv: 0653-401 Cannot rename tmp-libgcc_s_ppc64.a to libgcc_s_ppc64.a:
              A file or directory in the path name does not exist.
 
 
 The compilation you suggested gave the following output:
 
 
 /software/gcc-3.3-obj/powerpc-ibm-aix5.1.0.0/ppc64/libiberty> ksh test.ksh 
 2>&1 | tee test.out
 xgcc: system: A file or directory in the path name does not exist.
 xgcc: /usr/local/powerpc-ibm-aix5.1.0.0/include: A file or directory in 
 the path name does not exist.
 Reading specs from /software/gcc-3.3-obj/gcc/specs
 Configured with: /software/gcc-3.3/configure 
 Thread model: aix
 gcc version 3.3
  /software/gcc-3.3-obj/gcc/cc1 -quiet -v -iprefix 
 /software/gcc-3.3-obj/gcc/../lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/ 
 -isystem /software/gcc-3.3-obj/gcc/include -isystem 
 /usr/local/powerpc-ibm-aix5.1.0.0/bin/include -isystem /usr/local/p
 owerpc-ibm-aix5.1.0.0/lib/include -D__GNUC__=3 -D__GNUC_MINOR__=3 
 -D__GNUC_PATCHLEVEL__=0 -D__64BIT__ -i conftest.c -qu
 iet -dumpbase conftest.c -maix64 -auxbase conftest -g -O2 -O2 -version -o 
 /tmp//ccBwWxuR.s
 ignoring nonexistent directory 
 "/usr/local/powerpc-ibm-aix5.1.0.0/bin/include"
 ignoring nonexistent directory 
 "/usr/local/powerpc-ibm-aix5.1.0.0/lib/include"
 cc1: error: unrecognized option `-i'
 GNU C version 3.3 (powerpc-ibm-aix5.1.0.0)
         compiled by GNU C version 3.3.
 GGC heuristics: --param ggc-min-expand=64 --param ggc-min-heapsize=65530
 
 Thank you for your help
 
 Rolf
 
 --=_alternative 00206F74C1256D2B_=
 Content-Type: text/html; charset="us-ascii"
 
 
 <br><font size=2 face="sans-serif">Hello,</font>
 <br>
 <br><font size=2 face="sans-serif">As to the question in which directory the gmake aborted, I do not know better</font>
 <br><font size=2 face="sans-serif">than to look into the gmake.out in the attached file configMake.tar.gz.</font>
 <br>
 <br><font size=2 face="sans-serif">In this file are some error messages concerning the linker, for example on line 1642:</font>
 <br>
 <br><font size=2 face="sans-serif">./xgcc -B./ -B/usr/local/powerpc-ibm-aix5.1.0.0/bin/ -isystem &nbsp;[...]</font>
 <br><font size=2 face="sans-serif">collect2: ld returned 1 exit status</font>
 <br><font size=2 face="sans-serif">ar: A file or directory in the path name does not exist.</font>
 <br><font size=2 face="sans-serif">ar: 0707-117 The fopen system call failed on file ppc64/shr.o.</font>
 <br><font size=2 face="sans-serif">mv: 0653-401 Cannot rename tmp-libgcc_s_ppc64.a to libgcc_s_ppc64.a:</font>
 <br><font size=2 face="sans-serif">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;A file or directory in the path name does not exist.</font>
 <br>
 <br>
 <br><font size=2 face="sans-serif">The compilation you suggested gave the following output:</font>
 <br>
 <br>
 <br><font size=2 face="sans-serif">/software/gcc-3.3-obj/powerpc-ibm-aix5.1.0.0/ppc64/libiberty&gt; ksh test.ksh 2&gt;&amp;1 | tee test.out</font>
 <br><font size=2 face="sans-serif">xgcc: system: A file or directory in the path name does not exist.</font>
 <br><font size=2 face="sans-serif">xgcc: /usr/local/powerpc-ibm-aix5.1.0.0/include: A file or directory in the path name does not exist.</font>
 <br><font size=2 face="sans-serif">Reading specs from /software/gcc-3.3-obj/gcc/specs</font>
 <br><font size=2 face="sans-serif">Configured with: /software/gcc-3.3/configure </font>
 <br><font size=2 face="sans-serif">Thread model: aix</font>
 <br><font size=2 face="sans-serif">gcc version 3.3</font>
 <br><font size=2 face="sans-serif">&nbsp;/software/gcc-3.3-obj/gcc/cc1 -quiet -v -iprefix /software/gcc-3.3-obj/gcc/../lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/ </font>
 <br><font size=2 face="sans-serif">-isystem /software/gcc-3.3-obj/gcc/include -isystem /usr/local/powerpc-ibm-aix5.1.0.0/bin/include -isystem /usr/local/p</font>
 <br><font size=2 face="sans-serif">owerpc-ibm-aix5.1.0.0/lib/include -D__GNUC__=3 -D__GNUC_MINOR__=3 -D__GNUC_PATCHLEVEL__=0 -D__64BIT__ -i conftest.c -qu</font>
 <br><font size=2 face="sans-serif">iet -dumpbase conftest.c -maix64 -auxbase conftest -g -O2 -O2 -version -o /tmp//ccBwWxuR.s</font>
 <br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/bin/include&quot;</font>
 <br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/lib/include&quot;</font>
 <br><font size=2 face="sans-serif">cc1: error: unrecognized option `-i'</font>
 <br><font size=2 face="sans-serif">GNU C version 3.3 (powerpc-ibm-aix5.1.0.0)</font>
 <br><font size=2 face="sans-serif">&nbsp; &nbsp; &nbsp; &nbsp; compiled by GNU C version 3.3.</font>
 <br><font size=2 face="sans-serif">GGC heuristics: --param ggc-min-expand=64 --param ggc-min-heapsize=65530</font>
 <br>
 <br><font size=2 face="sans-serif">Thank you for your help</font>
 <br>
 <br><font size=2 face="sans-serif">Rolf</font>
 <br>
 --=_alternative 00206F74C1256D2B_=--
Comment 3 Dara Hazeghi 2003-05-26 07:54:17 UTC
Hello,

could you please rerun the command I indicated in the previous message, and send back a 
complete log of what occurs. If it's too long, just attach it to the bug report. It's very difficult for 
me to figure out why the given files aren't being found without some more context. Has a 64bit 
libgcc_s.a in fact been built? Thanks,

Dara
Comment 4 rolf-alois.walter 2003-05-26 08:55:29 UTC
Subject: Antwort: [Bug bootstrap/10815] C compiler cannot create executables

/software/gcc-3.3-obj/powerpc-ibm-aix5.1.0.0/ppc64/libiberty> cat test.out 

+ /software/gcc-3.3-obj/gcc/xgcc -B/software/gcc-3.3-obj/gcc/ 
-B/usr/local/powerpc-ibm-aix5.1.0.0/bin/ -B/usr/local
/powerpc-ibm-aix5.1.0.0/lib/ -isystem 
/usr/local/powerpc-ibm-aix5.1.0.0/include -maix64 -v -o conftest -O2 -g 
-O2 c
onftest.c
Reading specs from /software/gcc-3.3-obj/gcc/specs
Configured with: /software/gcc-3.3/configure 
Thread model: aix
gcc version 3.3
 /software/gcc-3.3-obj/gcc/cc1 -quiet -v -iprefix 
/software/gcc-3.3-obj/gcc/../lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3
.3/ -isystem /software/gcc-3.3-obj/gcc/include -isystem 
/usr/local/powerpc-ibm-aix5.1.0.0/bin/include -isystem /usr
/local/powerpc-ibm-aix5.1.0.0/lib/include -D__GNUC__=3 -D__GNUC_MINOR__=3 
-D__GNUC_PATCHLEVEL__=0 -D__64BIT__ -isys
tem /usr/local/powerpc-ibm-aix5.1.0.0/include conftest.c -quiet -dumpbase 
conftest.c -maix64 -auxbase conftest -g -
O2 -O2 -version -o /tmp//ccpRRHTR.s
ignoring nonexistent directory 
"/usr/local/powerpc-ibm-aix5.1.0.0/bin/include"
ignoring nonexistent directory 
"/usr/local/powerpc-ibm-aix5.1.0.0/lib/include"
ignoring nonexistent directory "/usr/local/powerpc-ibm-aix5.1.0.0/include"
GNU C version 3.3 (powerpc-ibm-aix5.1.0.0)
        compiled by GNU C version 3.2.3.
GGC heuristics: --param ggc-min-expand=64 --param ggc-min-heapsize=65530
ignoring nonexistent directory 
"/software/gcc-3.3-obj/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/include"
ignoring nonexistent directory 
"/software/gcc-3.3-obj/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/../../../../powerpc-ib
m-aix5.1.0.0/include"
ignoring nonexistent directory "NONE/include"
ignoring nonexistent directory 
"/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/include"
ignoring nonexistent directory "/usr/local/powerpc-ibm-aix5.1.0.0/include"
#include "..." search starts here:
#include <...> search starts here:
 /software/gcc-3.3-obj/gcc/include
 /usr/local/include
 /usr/include
End of search list.
 /usr/local/powerpc-ibm-aix5.1.0.0/bin/as --traditional-format -u -a64 
-mppc64 -o /tmp//ccl8L1S5.o /tmp//ccpRRHTR.s

 /software/gcc-3.3-obj/gcc/collect2 -bpT:0x10000000 -bpD:0x20000000 
-btextro -bnodelcsect -b64 -o conftest /lib/crt
0_64.o -L/software/gcc-3.3-obj/gcc/ppc64 -L/software/gcc-3.3-obj/gcc 
-L/usr/local/powerpc-ibm-aix5.1.0.0/bin -L/usr
/local/powerpc-ibm-aix5.1.0.0/lib 
-L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../../powerpc-ibm-aix5.1.0.0/l
ib -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../ppc64 
-L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../.
. /tmp//ccl8L1S5.o /software/gcc-3.3-obj/gcc/ppc64/libgcc.a 
/software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a -lc /softwa
re/gcc-3.3-obj/gcc/ppc64/libgcc.a 
/software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a
collect2: ld returned 1 exit status
+ exit 1
/software/gcc-3.3-obj/powerpc-ibm-aix5.1.0.0/ppc64/libiberty> 
<br><font size=2 face="sans-serif">/software/gcc-3.3-obj/powerpc-ibm-aix5.1.0.0/ppc64/libiberty&gt; cat test.out </font>
<br><font size=2 face="sans-serif">+ /software/gcc-3.3-obj/gcc/xgcc -B/software/gcc-3.3-obj/gcc/ -B/usr/local/powerpc-ibm-aix5.1.0.0/bin/ -B/usr/local</font>
<br><font size=2 face="sans-serif">/powerpc-ibm-aix5.1.0.0/lib/ -isystem /usr/local/powerpc-ibm-aix5.1.0.0/include -maix64 -v -o conftest -O2 -g -O2 c</font>
<br><font size=2 face="sans-serif">onftest.c</font>
<br><font size=2 face="sans-serif">Reading specs from /software/gcc-3.3-obj/gcc/specs</font>
<br><font size=2 face="sans-serif">Configured with: /software/gcc-3.3/configure </font>
<br><font size=2 face="sans-serif">Thread model: aix</font>
<br><font size=2 face="sans-serif">gcc version 3.3</font>
<br><font size=2 face="sans-serif">&nbsp;/software/gcc-3.3-obj/gcc/cc1 -quiet -v -iprefix /software/gcc-3.3-obj/gcc/../lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3</font>
<br><font size=2 face="sans-serif">.3/ -isystem /software/gcc-3.3-obj/gcc/include -isystem /usr/local/powerpc-ibm-aix5.1.0.0/bin/include -isystem /usr</font>
<br><font size=2 face="sans-serif">/local/powerpc-ibm-aix5.1.0.0/lib/include -D__GNUC__=3 -D__GNUC_MINOR__=3 -D__GNUC_PATCHLEVEL__=0 -D__64BIT__ -isys</font>
<br><font size=2 face="sans-serif">tem /usr/local/powerpc-ibm-aix5.1.0.0/include conftest.c -quiet -dumpbase conftest.c -maix64 -auxbase conftest -g -</font>
<br><font size=2 face="sans-serif">O2 -O2 -version -o /tmp//ccpRRHTR.s</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/bin/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/lib/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/include&quot;</font>
<br><font size=2 face="sans-serif">GNU C version 3.3 (powerpc-ibm-aix5.1.0.0)</font>
<br><font size=2 face="sans-serif">&nbsp; &nbsp; &nbsp; &nbsp; compiled by GNU C version 3.2.3.</font>
<br><font size=2 face="sans-serif">GGC heuristics: --param ggc-min-expand=64 --param ggc-min-heapsize=65530</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/software/gcc-3.3-obj/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/software/gcc-3.3-obj/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/../../../../powerpc-ib</font>
<br><font size=2 face="sans-serif">m-aix5.1.0.0/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;NONE/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/include&quot;</font>
<br><font size=2 face="sans-serif">#include &quot;...&quot; search starts here:</font>
<br><font size=2 face="sans-serif">#include &lt;...&gt; search starts here:</font>
<br><font size=2 face="sans-serif">&nbsp;/software/gcc-3.3-obj/gcc/include</font>
<br><font size=2 face="sans-serif">&nbsp;/usr/local/include</font>
<br><font size=2 face="sans-serif">&nbsp;/usr/include</font>
<br><font size=2 face="sans-serif">End of search list.</font>
<br><font size=2 face="sans-serif">&nbsp;/usr/local/powerpc-ibm-aix5.1.0.0/bin/as --traditional-format -u -a64 -mppc64 -o /tmp//ccl8L1S5.o /tmp//ccpRRHTR.s</font>
<br>
<br><font size=2 face="sans-serif">&nbsp;/software/gcc-3.3-obj/gcc/collect2 -bpT:0x10000000 -bpD:0x20000000 -btextro -bnodelcsect -b64 -o conftest /lib/crt</font>
<br><font size=2 face="sans-serif">0_64.o -L/software/gcc-3.3-obj/gcc/ppc64 -L/software/gcc-3.3-obj/gcc -L/usr/local/powerpc-ibm-aix5.1.0.0/bin -L/usr</font>
<br><font size=2 face="sans-serif">/local/powerpc-ibm-aix5.1.0.0/lib -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../../powerpc-ibm-aix5.1.0.0/l</font>
<br><font size=2 face="sans-serif">ib -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../ppc64 -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../.</font>
<br><font size=2 face="sans-serif">. /tmp//ccl8L1S5.o /software/gcc-3.3-obj/gcc/ppc64/libgcc.a /software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a -lc /softwa</font>
<br><font size=2 face="sans-serif">re/gcc-3.3-obj/gcc/ppc64/libgcc.a /software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a</font>
<br><font size=2 face="sans-serif">collect2: ld returned 1 exit status</font>
<br><font size=2 face="sans-serif">+ exit 1</font>
<br><font size=2 face="sans-serif">/software/gcc-3.3-obj/powerpc-ibm-aix5.1.0.0/ppc64/libiberty&gt; </font>
Comment 5 Dara Hazeghi 2003-05-26 17:40:41 UTC
Hello,

well all I can see from the report is that the linker's not very happy.

I'm not sure if this will help, but can you do the following. 

/software/gcc-3.3-obj/gcc/xgcc -B/software/gcc-3.3-obj/gcc/ 
-B/usr/local/powerpc-ibm-aix5.1.0.0/bin/ -B/usr/local
/powerpc-ibm-aix5.1.0.0/lib/ -isystem 
/usr/local/powerpc-ibm-aix5.1.0.0/include -maix64 -v -o conftest.o -O2 -c -g 
-O2 conftest.c

Then run the following:

/software/gcc-3.3-obj/gcc/collect2 -v -bpT:0x10000000 -bpD:0x20000000 
-btextro -bnodelcsect -b64 -o conftest /lib/crt0_64.o -L/software/gcc-3.3-obj/gcc/ppc64 -L/
software/gcc-3.3-obj/gcc -L/usr/local/powerpc-ibm-aix5.1.0.0/bin -L/usr/local/powerpc-ibm-
aix5.1.0.0/lib -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../../powerpc-ibm-aix5.1.0.0/
lib -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../ppc64 -L/usr/local/lib/gcc-lib/
powerpc-ibm-aix5.1.0.0/../.. conftest.o /software/gcc-3.3-obj/gcc/ppc64/libgcc.a /
software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a -lc /software/gcc-3.3-obj/gcc/ppc64/libgcc.a /
software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a

Hopefully, we can find out exactly why the linker is not happy (ie an error message). If this doesn't 
work, I suggest we forward the report to our AIX maintainer who will probably be able to figure the 
problem out in a matter of a minute or two :-)

Dara
Comment 6 Andrew Pinski 2003-05-26 17:45:40 UTC
See Dara's question.
Comment 7 rolf-alois.walter 2003-05-27 05:41:02 UTC
Subject: Antwort: [Bug bootstrap/10815] C compiler cannot create executables

+ /software/gcc-3.3-obj/gcc/xgcc -B/software/gcc-3.3-obj/gcc/ 
-B/usr/local/powerpc-ibm-aix5.1.0.0/bin/ 
-B/usr/local/powerpc-ibm-aix5.1.0.0/lib/ -isystem 
/usr/local/powerpc-ibm-aix5.1.0.0/include -maix64 -v -o conftest.o -O2 -c 
-g -O2 conftest.c
Reading specs from /software/gcc-3.3-obj/gcc/specs
Configured with: /software/gcc-3.3/configure 
Thread model: aix
gcc version 3.3
 /software/gcc-3.3-obj/gcc/cc1 -quiet -v -iprefix 
/software/gcc-3.3-obj/gcc/../lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/ 
-isystem /software/gcc-3.3-obj/gcc/include -isystem 
/usr/local/powerpc-ibm-aix5.1.0.0/bin/include -isystem 
/usr/local/powerpc-ibm-aix5.1.0.0/lib/include -D__GNUC__=3 
-D__GNUC_MINOR__=3 -D__GNUC_PATCHLEVEL__=0 -D__64BIT__ -isystem 
/usr/local/powerpc-ibm-aix5.1.0.0/include conftest.c -quiet -dumpbase 
conftest.c -maix64 -auxbase-strip conftest.o -g -O2 -O2 -version -o 
/tmp//ccxkgP3y.s
ignoring nonexistent directory 
"/usr/local/powerpc-ibm-aix5.1.0.0/bin/include"
ignoring nonexistent directory 
"/usr/local/powerpc-ibm-aix5.1.0.0/lib/include"
ignoring nonexistent directory "/usr/local/powerpc-ibm-aix5.1.0.0/include"
GNU C version 3.3 (powerpc-ibm-aix5.1.0.0)
        compiled by GNU C version 3.2.3.
GGC heuristics: --param ggc-min-expand=64 --param ggc-min-heapsize=65530
ignoring nonexistent directory 
"/software/gcc-3.3-obj/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/include"
ignoring nonexistent directory 
"/software/gcc-3.3-obj/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/../../../../powerpc-ibm-aix5.1.0.0/include"
ignoring nonexistent directory "NONE/include"
ignoring nonexistent directory 
"/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/include"
ignoring nonexistent directory "/usr/local/powerpc-ibm-aix5.1.0.0/include"
#include "..." search starts here:
#include <...> search starts here:
 /software/gcc-3.3-obj/gcc/include
 /usr/local/include
 /usr/include
End of search list.
 /usr/local/powerpc-ibm-aix5.1.0.0/bin/as --traditional-format -u -a64 
-mppc64 -o conftest.o /tmp//ccxkgP3y.s

+ /software/gcc-3.3-obj/gcc/collect2 -v -bpT:0x10000000 -bpD:0x20000000 
-btextro -bnodelcsect -b64 -o conftest /lib/crt0_64.o 
-L/software/gcc-3.3-obj/gcc/ppc64 -L/software/gcc-3.3-obj/gcc 
-L/usr/local/powerpc-ibm-aix5.1.0.0/bin 
-L/usr/local/powerpc-ibm-aix5.1.0.0/lib 
-L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../../powerpc-ibm-aix5.1.0.0/lib 
-L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../ppc64 
-L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../.. conftest.o 
/software/gcc-3.3-obj/gcc/ppc64/libgcc.a 
/software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a -lc 
/software/gcc-3.3-obj/gcc/ppc64/libgcc.a 
/software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a
collect2 version 3.3
/usr/local/bin/gcc -x c -c -o /tmp//ccIAjoKb.o -fno-exceptions -w 
/tmp//ccx5p61F.c
/usr/bin/ld -v -bpT:0x10000000 -bpD:0x20000000 -btextro -bnodelcsect -b64 
-o conftest /lib/crt0_64.o /tmp//ccIAjoKb.o 
-L/software/gcc-3.3-obj/gcc/ppc64 -L/software/gcc-3.3-obj/gcc 
-L/usr/local/powerpc-ibm-aix5.1.0.0/bin 
-L/usr/local/powerpc-ibm-aix5.1.0.0/lib 
-L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../../powerpc-ibm-aix5.1.0.0/lib 
-L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../ppc64 
-L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../.. conftest.o 
/software/gcc-3.3-obj/gcc/ppc64/libgcc.a 
/software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a -lc 
/software/gcc-3.3-obj/gcc/ppc64/libgcc.a 
/software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a 
-binitfini:_GLOBAL__FI_conftest:_GLOBAL__FD_conftest
ld: 0711-738 ERROR: Input file /tmp//ccIAjoKb.o:
        XCOFF32 object files are not allowed in 64-bit mode.
collect2: ld returned 8 exit status

<br><font size=2 face="sans-serif">+ /software/gcc-3.3-obj/gcc/xgcc -B/software/gcc-3.3-obj/gcc/ -B/usr/local/powerpc-ibm-aix5.1.0.0/bin/ -B/usr/local/powerpc-ibm-aix5.1.0.0/lib/ -isystem /usr/local/powerpc-ibm-aix5.1.0.0/include -maix64 -v -o conftest.o -O2 -c -g -O2 conftest.c</font>
<br><font size=2 face="sans-serif">Reading specs from /software/gcc-3.3-obj/gcc/specs</font>
<br><font size=2 face="sans-serif">Configured with: /software/gcc-3.3/configure </font>
<br><font size=2 face="sans-serif">Thread model: aix</font>
<br><font size=2 face="sans-serif">gcc version 3.3</font>
<br><font size=2 face="sans-serif">&nbsp;/software/gcc-3.3-obj/gcc/cc1 -quiet -v -iprefix /software/gcc-3.3-obj/gcc/../lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/ -isystem /software/gcc-3.3-obj/gcc/include -isystem /usr/local/powerpc-ibm-aix5.1.0.0/bin/include -isystem /usr/local/powerpc-ibm-aix5.1.0.0/lib/include -D__GNUC__=3 -D__GNUC_MINOR__=3 -D__GNUC_PATCHLEVEL__=0 -D__64BIT__ -isystem /usr/local/powerpc-ibm-aix5.1.0.0/include conftest.c -quiet -dumpbase conftest.c -maix64 -auxbase-strip conftest.o -g -O2 -O2 -version -o /tmp//ccxkgP3y.s</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/bin/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/lib/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/include&quot;</font>
<br><font size=2 face="sans-serif">GNU C version 3.3 (powerpc-ibm-aix5.1.0.0)</font>
<br><font size=2 face="sans-serif">&nbsp; &nbsp; &nbsp; &nbsp; compiled by GNU C version 3.2.3.</font>
<br><font size=2 face="sans-serif">GGC heuristics: --param ggc-min-expand=64 --param ggc-min-heapsize=65530</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/software/gcc-3.3-obj/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/software/gcc-3.3-obj/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/../../../../powerpc-ibm-aix5.1.0.0/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;NONE/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/3.3/include&quot;</font>
<br><font size=2 face="sans-serif">ignoring nonexistent directory &quot;/usr/local/powerpc-ibm-aix5.1.0.0/include&quot;</font>
<br><font size=2 face="sans-serif">#include &quot;...&quot; search starts here:</font>
<br><font size=2 face="sans-serif">#include &lt;...&gt; search starts here:</font>
<br><font size=2 face="sans-serif">&nbsp;/software/gcc-3.3-obj/gcc/include</font>
<br><font size=2 face="sans-serif">&nbsp;/usr/local/include</font>
<br><font size=2 face="sans-serif">&nbsp;/usr/include</font>
<br><font size=2 face="sans-serif">End of search list.</font>
<br><font size=2 face="sans-serif">&nbsp;/usr/local/powerpc-ibm-aix5.1.0.0/bin/as --traditional-format -u -a64 -mppc64 -o conftest.o /tmp//ccxkgP3y.s</font>
<br>
<br><font size=2 face="sans-serif">+ /software/gcc-3.3-obj/gcc/collect2 -v -bpT:0x10000000 -bpD:0x20000000 -btextro -bnodelcsect -b64 -o conftest /lib/crt0_64.o -L/software/gcc-3.3-obj/gcc/ppc64 -L/software/gcc-3.3-obj/gcc -L/usr/local/powerpc-ibm-aix5.1.0.0/bin -L/usr/local/powerpc-ibm-aix5.1.0.0/lib -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../../powerpc-ibm-aix5.1.0.0/lib -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../ppc64 -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../.. conftest.o /software/gcc-3.3-obj/gcc/ppc64/libgcc.a /software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a -lc /software/gcc-3.3-obj/gcc/ppc64/libgcc.a /software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a</font>
<br><font size=2 face="sans-serif">collect2 version 3.3</font>
<br><font size=2 face="sans-serif">/usr/local/bin/gcc -x c -c -o /tmp//ccIAjoKb.o -fno-exceptions -w /tmp//ccx5p61F.c</font>
<br><font size=2 face="sans-serif">/usr/bin/ld -v -bpT:0x10000000 -bpD:0x20000000 -btextro -bnodelcsect -b64 -o conftest /lib/crt0_64.o /tmp//ccIAjoKb.o -L/software/gcc-3.3-obj/gcc/ppc64 -L/software/gcc-3.3-obj/gcc -L/usr/local/powerpc-ibm-aix5.1.0.0/bin -L/usr/local/powerpc-ibm-aix5.1.0.0/lib -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../../powerpc-ibm-aix5.1.0.0/lib -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../../ppc64 -L/usr/local/lib/gcc-lib/powerpc-ibm-aix5.1.0.0/../.. conftest.o /software/gcc-3.3-obj/gcc/ppc64/libgcc.a /software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a -lc /software/gcc-3.3-obj/gcc/ppc64/libgcc.a /software/gcc-3.3-obj/gcc/ppc64/libgcc_eh.a -binitfini:_GLOBAL__FI_conftest:_GLOBAL__FD_conftest</font>
<br><font size=2 face="sans-serif">ld: 0711-738 ERROR: Input file /tmp//ccIAjoKb.o:</font>
<br><font size=2 face="sans-serif">&nbsp; &nbsp; &nbsp; &nbsp; XCOFF32 object files are not allowed in 64-bit mode.</font>
<br><font size=2 face="sans-serif">collect2: ld returned 8 exit status</font>
<br>
Comment 8 Dara Hazeghi 2003-05-27 06:49:26 UTC
Hello,

thanks for the feedback. I think we're getting close. Would it be possible for you not to send your 
e-mails in both plain text and html, it's making this report rather long :-) Anyhow, I think we 
found the problem. The linker thinks the file is 32 bits, while it's supposed to be 64 bits. Umm, 
can you run the 'file' command on conftest.o to see what, in fact, it is? Thanks,

Dara
Comment 9 rolf-alois.walter 2003-05-27 06:59:27 UTC
Subject:  C compiler cannot create executables


Okay, i have changed my notes to "notes rich text" rather than "MIME". I hope this helps.

/software/gcc-3.3-obj/powerpc-ibm-aix5.1.0.0/ppc64/libiberty> file conftest.o
conftest.o:     64-bit XCOFF executable or object module not stripped



--

Diese E-Mail enthält vertrauliche und/oder rechtlich geschützte Informationen. Wenn Sie nicht der richtige Adressat sind oder diese E-Mail irrtümlich erhalten haben, informieren Sie bitte sofort den Absender und vernichten Sie diese Mail. Das unerlaubte Kopieren sowie die unbefugte Weitergabe dieser Mail ist nicht gestattet.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and destroy this e-mail. Any unauthorized copying, disclosure or distribution of the material in this e-mail is strictly forbidden.


Comment 10 Dara Hazeghi 2003-05-27 07:27:53 UTC
Hello,

thanks for fixing the HTML thing... Okay, so what we have here is pretty clearly a 64-bit file which 
ld thinks is 32-bit. I think at this point
Comment 11 Dara Hazeghi 2003-05-27 07:32:27 UTC
David,

sorry to bother you. You usually seem to have the latest word on AIX issues, so I was wondering if 
you have some idea of what's going on here. As the log indicates, Rolf is having problems 
bootstrapping, due to the fact that AIX ld doesn't think one of the generated files is 64-bit format, 
as claimed. This is with AIX 5.1. Any suggestions or insights? Thanks,

Dara
Comment 12 David Edelsohn 2003-05-27 14:09:43 UTC
Subject: Re:  C compiler cannot create executables 

	Do you have the OBJECT_MODE environment variable defined in your
environment?

David
Comment 13 rolf-alois.walter 2003-05-28 05:42:21 UTC
Subject: Antwort:  C compiler cannot create executables


No, I haven't set the OBJECT_MODE variable:

/software/gcc-3.3-obj> set | sort
AUTHSTATE=compat
CGI_DIRECTORY=/usr/HTTPServer/cgi-bin
CVSROOT=/cvsroot
DEFAULT_BROWSER=netscape
DISPLAY=10.70.97.69:0.0
DOCUMENT_DIRECTORY=/usr/HTTPServer/htdocs
DOCUMENT_SERVER_MACHINE_NAME=loopback
DOCUMENT_SERVER_PORT=80
ERRNO=9
FCEDIT=/usr/bin/ed
HOME=/
IFS='
ITECONFIGCL=/etc/IMNSearch/clients
ITECONFIGSRV=/etc/IMNSearch
ITE_DOC_SEARCH_INSTANCE=search
LANG=en_US
LC__FASTMSG=true
LINENO=1
LOCPATH=/usr/lib/nls/loc
LOGIN=root
LOGNAME=root
MAIL=/usr/spool/mail/root
MAILCHECK=600
MAILMSG='[YOU HAVE NEW MAIL]'
MANPATH=/usr/local/man:/usr/local/share/man:/usr/local/ssl/man:/usr/local/samba/man:/usr/local/man:/usr/loca
l/share/man:/usr/local/ssl/man:/usr/local/samba/man:
NLSPATH=/usr/lib/nls/msg/%L/%N:/usr/lib/nls/msg/%L/%N.cat
ODMDIR=/etc/objrepos
OLDPWD=/
OPTIND=1
ORACLE_HOME=/home/oracle/product/9.2.0
PATH=/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:/usr/java130/jre/bin:/usr/java130/bin:/usr/sbin:/ho
me/oracle/product/9.2.0/bin:/usr/vac/bin:/usr/vacpp/bin:/usr/java131/bin:/usr/local/bin:/var/ifor:/usr/opt/i
for/bin/:/usr/sbin:/home/oracle/product/9.2.0/bin:/usr/vac/bin:/usr/vacpp/bin:/usr/java131/bin:/usr/local/bi
n:/var/ifor:/usr/opt/ifor/bin/
PPID=46354
PS1='$PWD> '
PS2='> '
PS3='#? '
PS4='+ '
PWD=/software/gcc-3.3-obj
RANDOM=18113
SECONDS=66
SHELL=/usr/bin/ksh
TERM=aixterm
TERM_DEFAULT=lft
TMOUT=0
TZ=MEZ-1MESZ,M3.5.0,M10.5.0
USER=root
WINDOWID=4194312
_=gmake.out



--

Diese E-Mail enthält vertrauliche und/oder rechtlich geschützte Informationen. Wenn Sie nicht der richtige Adressat sind oder diese E-Mail irrtümlich erhalten haben, informieren Sie bitte sofort den Absender und vernichten Sie diese Mail. Das unerlaubte Kopieren sowie die unbefugte Weitergabe dieser Mail ist nicht gestattet.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and destroy this e-mail. Any unauthorized copying, disclosure or distribution of the material in this e-mail is strictly forbidden.


Comment 14 David Edelsohn 2003-05-29 01:34:37 UTC
Subject: Re:  C compiler cannot create executables 

	What is /usr/local/powerpc-ibm-aix5.1.0.0/bin/as ?

Please use the native AIX assembler and AIX linker installed with the
system.

David

Comment 15 rolf-alois.walter 2003-05-30 07:20:36 UTC
Subject: Antwort:  [AIX] C compiler cannot create executables


Seems to be the GNU assembler (perhaps from binutils package?):

/usr/local/powerpc-ibm-aix5.1.0.0/bin> ./as --version
GNU assembler 2.13.2
Copyright 2002 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License.  This program has absolutely no warranty.
This assembler was configured for a target of `powerpc-ibm-aix5.1.0.0'.


--

Diese E-Mail enthält vertrauliche und/oder rechtlich geschützte Informationen. Wenn Sie nicht der richtige Adressat sind oder diese E-Mail irrtümlich erhalten haben, informieren Sie bitte sofort den Absender und vernichten Sie diese Mail. Das unerlaubte Kopieren sowie die unbefugte Weitergabe dieser Mail ist nicht gestattet.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and destroy this e-mail. Any unauthorized copying, disclosure or distribution of the material in this e-mail is strictly forbidden.


Comment 16 rolf-alois.walter 2003-05-30 08:40:36 UTC
Subject: Antwort:  [AIX] C compiler cannot create executables


How do I tell the gcc to use the native compiler and linker?


--

Diese E-Mail enthält vertrauliche und/oder rechtlich geschützte Informationen. Wenn Sie nicht der richtige Adressat sind oder diese E-Mail irrtümlich erhalten haben, informieren Sie bitte sofort den Absender und vernichten Sie diese Mail. Das unerlaubte Kopieren sowie die unbefugte Weitergabe dieser Mail ist nicht gestattet.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and destroy this e-mail. Any unauthorized copying, disclosure or distribution of the material in this e-mail is strictly forbidden.


Comment 17 David Edelsohn 2003-05-30 13:51:29 UTC
Subject: Re:  [AIX] C compiler cannot create executables 

	Do noy use GNU binutils (as, ld, nm, ar, etc.) to bootstrap on
AIX.  Remove it from your system.  If it is installed in
/usr/XXX/bin/powerpc-bim-aix5.X.0.0, GCC configure will find it.

David
Comment 18 Dara Hazeghi 2003-06-02 00:15:55 UTC
Hello Rolf,

have you been able to get a successful build yet? Did removing the GNU binutils fix the problems? 
Thanks,

Dara
Comment 19 rolf-alois.walter 2003-06-02 05:47:24 UTC
Subject: Antwort:  [AIX] C compiler cannot create executables


Hello David & Dara,

I configured with

/software/gcc-3.3-obj> /software/gcc-3.3/configure --with-as=/usr/bin/as --with-ld=/usr/bin/ld

and it worked well.

How would you classify this problem? Is it a bug in gcc? Or a bug in binutils? Or just a feature?

Bye Rolf


--

Diese E-Mail enthält vertrauliche und/oder rechtlich geschützte Informationen. Wenn Sie nicht der richtige Adressat sind oder diese E-Mail irrtümlich erhalten haben, informieren Sie bitte sofort den Absender und vernichten Sie diese Mail. Das unerlaubte Kopieren sowie die unbefugte Weitergabe dieser Mail ist nicht gestattet.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and destroy this e-mail. Any unauthorized copying, disclosure or distribution of the material in this e-mail is strictly forbidden.


Comment 20 Dara Hazeghi 2003-06-02 06:21:04 UTC
Rolf,

this means that the issue is a binutils bug. Note that in http://gcc.gnu.org/install/specific.html#*-
ibm-aix* , it is stated:
"The GNU Assembler incorrectly reports that it supports WEAK symbols on AIX which causes GCC 
to try to utilize weak symbol functionality although it is not supported on the platform.  The native 
as and ld still are recommended.  The native AIX tools do interoperate with GCC."

In short, don't use binutils. If you think the documentation there is unclear we can make it more 
emphatic. Otherwise I consider this to not be a gcc issue. So do you think the documentation is 
unclear? Thanks,

Dara
Comment 21 rolf-alois.walter 2003-06-02 06:37:02 UTC
Subject: Antwort:  [AIX] C compiler cannot create executables


Well, I should have read the documentation more thoroughly. Soory for that.

You could perhaps write something like

"I you have installed binutils, configure gcc not to use GNU-as and GNU-ld
with --...."

Thank you very much for your help

Rolf



--

Diese E-Mail enthält vertrauliche und/oder rechtlich geschützte Informationen. Wenn Sie nicht der richtige Adressat sind oder diese E-Mail irrtümlich erhalten haben, informieren Sie bitte sofort den Absender und vernichten Sie diese Mail. Das unerlaubte Kopieren sowie die unbefugte Weitergabe dieser Mail ist nicht gestattet.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and destroy this e-mail. Any unauthorized copying, disclosure or distribution of the material in this e-mail is strictly forbidden.


Comment 22 David Edelsohn 2003-06-02 17:37:38 UTC
Subject: Re:  [AIX] C compiler cannot create executables 

>>>>> rolf-alois walter@db com writes:

rolf> How would you classify this problem? Is it a bug in gcc? Or a bug in binutils? Or just a feature?

	This is a bug in Binutils, not GCC.  Binutils does not
sufficiently support AIX 5L to bootstrap GCC.

	The Cygnus/Red Hat "GNUPro GCC 2.9" compiler distributed in the
AIX toolbox for Linux also has a bug preventing GCC bootstrap.

David
Comment 23 Dara Hazeghi 2003-06-04 06:34:02 UTC
Created attachment 4160 [details]
aix installation doc patch
Comment 24 Dara Hazeghi 2003-06-04 06:36:44 UTC
David,

I've attached a small patch to this report documenting the problem you mention (since the issue 
with AIX 5L is not documented in the install guide). I'd appreciate if you could take a look at it, and 
if it's okay, apply it. Thanks,

Dara
Comment 25 David Edelsohn 2003-06-04 17:02:05 UTC
AIX
Comment 26 David Edelsohn 2003-06-04 17:04:18 UTC
Patch applied to GCC 3.3.1 and GCC 3.4 documentation.
Comment 27 David Edelsohn 2003-06-04 17:15:12 UTC
Subject: Re:  [AIX] C compiler cannot create executables 

	Applied to trunk and 3.3 branch.

David

Index: install.texi
===================================================================
RCS file: /cvs/gcc/gcc/gcc/doc/install.texi,v
retrieving revision 1.194
diff -c -p -r1.194 install.texi
*** install.texi	31 May 2003 09:31:41 -0000	1.194
--- install.texi	4 Jun 2003 17:08:06 -0000
*************** does not provide a definition that will 
*** 2428,2438 ****
  If this error occurs during stage2 or later, then the problem most likely
  is the version of Make (see above).
  
! The GNU Assembler incorrectly reports that it supports WEAK symbols on
! AIX which causes GCC to try to utilize weak symbol functionality although
! it is not supported on the platform.  The native @command{as} and
! @command{ld} still are recommended.  The native AIX tools do
! interoperate with GCC@.
  
  Building @file{libstdc++.a} requires a fix for an AIX Assembler bug
  APAR IY26685 (AIX 4.3) or APAR IY25528 (AIX 5.1).
--- 2428,2439 ----
  If this error occurs during stage2 or later, then the problem most likely
  is the version of Make (see above).
  
! The native @command{as} and @command{ld} are recommended for bootstrapping
! on AIX 4 and required for bootstrapping on AIX 5L.  The GNU Assembler
! reports that it supports WEAK symbols on AIX 4, which causes GCC to try to
! utilize weak symbol functionality although it is not supported.  The GNU
! Assembler and Linker do not support AIX 5L sufficiently to bootstrap GCC.
! The native AIX tools do interoperate with GCC@.
  
  Building @file{libstdc++.a} requires a fix for an AIX Assembler bug
  APAR IY26685 (AIX 4.3) or APAR IY25528 (AIX 5.1).